%Esempio di aplicazione del teorema delle contrazioni sul piano
%con rappresentazione grafica del risultato

x0=[1;1]; %punto di partenza
toll=1e-10; ; %tolleranza nella ricerca del punto fisso
i=0;
A=[1/2, 1/4;-3/4, 1/8]; %matrice della trasformazione
B=[1;1];

figure
grid on;
%axis ([-10 10 -10 10]);

hold on

while norm(x0-A*x0-B)>toll
    i=i+1;
    x1=A*x0+B;
    x0=x1;
    plot(x0(1),x0(2),'x');
end

disp(sprintf('numero iterazioni= %d',i));
disp(sprintf('risultato ='));
disp(x0);